> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niceyup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Health

> Check if the API is working



## OpenAPI

````yaml GET /health
openapi: 3.0.3
info:
  title: Niceyup
  description: API Reference for Niceyup
  version: 0.0.1
servers:
  - url: https://api.niceyup.io/api
security: []
paths:
  /health:
    get:
      description: Check if the API is working
      operationId: health
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  timestamp:
                    type: string
                  uptime:
                    type: number
                  memoryUsage:
                    type: object
                    properties:
                      rss:
                        type: number
                      heapTotal:
                        type: number
                      heapUsed:
                        type: number
                    required:
                      - rss
                      - heapTotal
                      - heapUsed
                    additionalProperties: false
                required:
                  - status
                  - timestamp
                  - uptime
                  - memoryUsage
                additionalProperties: false
        '400':
          description: >-
            Bad Request. Usually due to missing parameters, or invalid
            parameters.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  errors:
                    description: Validation errors
                    type: array
                    items:
                      allOf:
                        - type: object
                          properties:
                            code:
                              type: string
                            message:
                              type: string
                            path:
                              type: array
                              items:
                                anyOf:
                                  - type: string
                                  - type: number
                          required:
                            - code
                            - message
                            - path
                          additionalProperties: false
                        - type: object
                          additionalProperties: {}
                required:
                  - code
                  - message
                additionalProperties: false
        '401':
          description: Unauthorized. Due to missing or invalid authentication.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                required:
                  - code
                  - message
                additionalProperties: false
        '403':
          description: >-
            Forbidden. You do not have permission to access this resource or to
            perform this action.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
                additionalProperties: false
        '404':
          description: Not Found. The requested resource was not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
                additionalProperties: false
        '429':
          description: >-
            Too Many Requests. You have exceeded the rate limit. Try again
            later.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
                additionalProperties: false
        '500':
          description: >-
            Internal Server Error. This is a problem with the server that you
            cannot fix.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                required:
                  - code
                  - message
                additionalProperties: false
      security: []

````